Skip to main content
POST
cURL

Authorizations

X-Api-Key
string
header
required

Path Parameters

organization_uuid
string<uuid>
required

Body

name
string | null
Maximum string length: 255
optimization_mode

Optimization mode to use for portfolio optimization, this can be LONG_ONLY, LONG_SHORT, or LONG_BIASED.

  • LONG_ONLY - Long Only
  • LONG_SHORT - Long Short
  • LONG_BIASED - Long Biased
Available options:
LONG_ONLY,
LONG_SHORT,
LONG_BIASED
long_weight_sum
string<decimal> | null

Target sum of long weights for LONG_SHORT or LONG_BIASED optimization modes (e.g., 2.5 for 250% long).

Pattern: ^-?\d{0,3}(?:\.\d{0,2})?$
short_weight_sum
string<decimal> | null

Target sum of short weights for LONG_SHORT or LONG_BIASED optimization modes (e.g., -2.5 for -250% short).

Pattern: ^-?\d{0,3}(?:\.\d{0,2})?$
risk_model_name

Risk model to use for portfolio optimization

  • custom - Custom
  • pca - Pca
  • characteristics - Characteristics
  • axioma - Axioma
Available options:
custom,
pca,
characteristics,
axioma
tilts
object[]

A list of tilts to apply on top of the benchmark. If provided, replaces the existing list of tilts.

no_hold_tickers
object[]

A list of tickers that the client should not hold, with optional start and end dates. If provided, replaces the existing list of no hold tickers.

no_trade_tickers
object[]

A list of tickers that the client should not trade, with optional start and end dates. If provided, replaces the existing list of no trade tickers.

target_ticker_weights
object[]

A list of target weights for specific tickers. If provided, replaces the existing list of target ticker weights.

min_weight
string<decimal> | null
Pattern: ^-?\d{0,3}(?:\.\d{0,2})?$
max_weight
string<decimal> | null
Pattern: ^-?\d{0,3}(?:\.\d{0,2})?$
min_active_weight
string<decimal> | null
Pattern: ^-?\d{0,3}(?:\.\d{0,2})?$
max_active_weight
string<decimal> | null
Pattern: ^-?\d{0,3}(?:\.\d{0,2})?$
use_active_risk_bounds
boolean | null

Whether to enforce the active-risk cap during optimization

max_active_risk_pct
string<decimal> | null

Maximum portfolio active risk as a percentage (0–100). Only enforced when use_active_risk_bounds is True.

Pattern: ^-?\d{0,3}(?:\.\d{0,2})?$
scaling_factor
string<decimal> | null
Pattern: ^-?\d{0,3}(?:\.\d{0,2})?$
use_mean_variance
boolean | null
factor_exposure_bounds
object[]
tax_preferences
object | null
asset_allocations
object[]

A list of asset class allocations for this customization config. If provided, replaces the existing list of asset allocations.

bid_ask_spread_ref_volume
string<decimal> | null
Pattern: ^-?\d{0,8}(?:\.\d{0,2})?$
market_impact_parameter
string<decimal> | null
Pattern: ^-?\d{0,8}(?:\.\d{0,2})?$
bid_ask_spread_parameter
string<decimal> | null
Pattern: ^-?\d{0,8}(?:\.\d{0,2})?$
tcost_bps
string<decimal> | null
Pattern: ^-?\d{0,8}(?:\.\d{0,2})?$
cash_buffer_usd
string<decimal> | null

USD cash buffer as a percentage of portfolio value (0.0 to 1.0, e.g., 0.05 for 5%)

Pattern: ^-?\d{0,1}(?:\.\d{0,4})?$
cash_buffer_cad
string<decimal> | null

CAD cash buffer as a percentage of portfolio value (0.0 to 1.0, e.g., 0.05 for 5%)

Pattern: ^-?\d{0,1}(?:\.\d{0,4})?$
dynamic_rules
object[]

A list of dynamic rules with cron-based conditions. If provided, replaces the existing list of dynamic rules.

risk_aversion
string<decimal> | null

Risk aversion lambda. App default is 2; library default is 1.0.

Pattern: ^-?\d{0,3}(?:\.\d{0,3})?$
risk_free_rate_pct
string<decimal> | null

Risk-free rate percentage used in Sharpe calculations. Library default 4.0.

Pattern: ^-?\d{0,3}(?:\.\d{0,4})?$
spectral_shift
string<decimal> | null

Risk matrix conditioning parameter. Library default 0.0.

Pattern: ^-?\d{0,5}(?:\.\d{0,10})?$
risk_bound_increase_factor
string<decimal> | null

Factor to increase risk bounds on infeasibility. Library default 2.0.

Pattern: ^-?\d{0,4}(?:\.\d{0,4})?$
risk_bound_max_iterations
integer | null

Max iterations for risk bound adaptation. Library default 10.

Required range: 0 <= x <= 2147483647
use_regula_falsi
boolean | null

Enable Regula Falsi method for tax gamma search. Library default True.

use_turnover_constraint
boolean | null

Enable maximum turnover constraint. Library default False.

max_turnover_pct
string<decimal> | null

Maximum portfolio turnover as a percentage. Library default 100.0.

Pattern: ^-?\d{0,4}(?:\.\d{0,4})?$
require_whole_shares
boolean | null

Enforce whole share constraints for all assets. Library default False.

whole_share_assets
string[] | null

List of tilt_asset_ids that must be traded in whole shares.

substitution_pairs
string[][] | null

List of mutually exclusive tilt_asset_id pairs (each inner list must have ≥2 distinct assets).

Minimum array length: 2
capital_gains_reductions
object | null

Dict mapping tilt_asset_id to per-asset capital gains reduction amount.

capital_gains_reductions_units

Units for capital_gains_reductions. Library default 'DOLLARS'.

  • DOLLARS - Dollars
  • PERCENT - Percent
Available options:
DOLLARS,
PERCENT
use_cash_benchmark
boolean | null

Include cash as a benchmark component. Library default False.

linear_tcaf
string<decimal> | null

Linear transaction cost fraction. Library default 0.0.

Pattern: ^-?\d{0,4}(?:\.\d{0,6})?$
commission_rate
string<decimal> | null

Commission rate. Library default 0.75.

Pattern: ^-?\d{0,4}(?:\.\d{0,4})?$
broker_spread_bps
string<decimal> | null

Broker spread in basis points. Library default 30.0.

Pattern: ^-?\d{0,6}(?:\.\d{0,4})?$
min_trading_volume_dollars
string<decimal> | null

Minimum trading volume in dollars for market impact calculation. Library default 1,000,000.

Pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
status
enum<string>
default:draft
Available options:
draft,
deployed,
archived

Response

201 - application/json
uuid
string<uuid>
required
read-only
status
string
required
read-only
name
string | null
Maximum string length: 255
optimization_mode

Optimization mode to use for portfolio optimization, this can be LONG_ONLY, LONG_SHORT, or LONG_BIASED.

  • LONG_ONLY - Long Only
  • LONG_SHORT - Long Short
  • LONG_BIASED - Long Biased
Available options:
LONG_ONLY,
LONG_SHORT,
LONG_BIASED
long_weight_sum
string<decimal> | null

Target sum of long weights for LONG_SHORT or LONG_BIASED optimization modes (e.g., 2.5 for 250% long).

Pattern: ^-?\d{0,3}(?:\.\d{0,2})?$
short_weight_sum
string<decimal> | null

Target sum of short weights for LONG_SHORT or LONG_BIASED optimization modes (e.g., -2.5 for -250% short).

Pattern: ^-?\d{0,3}(?:\.\d{0,2})?$
risk_model_name

Risk model to use for portfolio optimization

  • custom - Custom
  • pca - Pca
  • characteristics - Characteristics
  • axioma - Axioma
Available options:
custom,
pca,
characteristics,
axioma
tilts
object[]
no_hold_tickers
object[]
no_trade_tickers
object[]
target_ticker_weights
object[]
min_weight
string<decimal> | null
Pattern: ^-?\d{0,3}(?:\.\d{0,2})?$
max_weight
string<decimal> | null
Pattern: ^-?\d{0,3}(?:\.\d{0,2})?$
min_active_weight
string<decimal> | null
Pattern: ^-?\d{0,3}(?:\.\d{0,2})?$
max_active_weight
string<decimal> | null
Pattern: ^-?\d{0,3}(?:\.\d{0,2})?$
use_active_risk_bounds
boolean | null

Whether to enforce the active-risk cap during optimization

max_active_risk_pct
string<decimal> | null

Maximum portfolio active risk as a percentage (0–100). Only enforced when use_active_risk_bounds is True.

Pattern: ^-?\d{0,3}(?:\.\d{0,2})?$
scaling_factor
string<decimal> | null
Pattern: ^-?\d{0,3}(?:\.\d{0,2})?$
use_mean_variance
boolean | null
factor_exposure_bounds
object[]
tax_preferences
object | null
asset_allocations
object[]
bid_ask_spread_ref_volume
string<decimal> | null
Pattern: ^-?\d{0,8}(?:\.\d{0,2})?$
market_impact_parameter
string<decimal> | null
Pattern: ^-?\d{0,8}(?:\.\d{0,2})?$
bid_ask_spread_parameter
string<decimal> | null
Pattern: ^-?\d{0,8}(?:\.\d{0,2})?$
tcost_bps
string<decimal> | null
Pattern: ^-?\d{0,8}(?:\.\d{0,2})?$
cash_buffer_usd
string<decimal> | null

USD cash buffer as a percentage of portfolio value (0.0 to 1.0, e.g., 0.05 for 5%)

Pattern: ^-?\d{0,1}(?:\.\d{0,4})?$
cash_buffer_cad
string<decimal> | null

CAD cash buffer as a percentage of portfolio value (0.0 to 1.0, e.g., 0.05 for 5%)

Pattern: ^-?\d{0,1}(?:\.\d{0,4})?$
dynamic_rules
object[]
risk_aversion
string<decimal> | null

Risk aversion lambda. App default is 2; library default is 1.0.

Pattern: ^-?\d{0,3}(?:\.\d{0,3})?$
risk_free_rate_pct
string<decimal> | null

Risk-free rate percentage used in Sharpe calculations. Library default 4.0.

Pattern: ^-?\d{0,3}(?:\.\d{0,4})?$
spectral_shift
string<decimal> | null

Risk matrix conditioning parameter. Library default 0.0.

Pattern: ^-?\d{0,5}(?:\.\d{0,10})?$
risk_bound_increase_factor
string<decimal> | null

Factor to increase risk bounds on infeasibility. Library default 2.0.

Pattern: ^-?\d{0,4}(?:\.\d{0,4})?$
risk_bound_max_iterations
integer | null

Max iterations for risk bound adaptation. Library default 10.

Required range: 0 <= x <= 2147483647
use_regula_falsi
boolean | null

Enable Regula Falsi method for tax gamma search. Library default True.

use_turnover_constraint
boolean | null

Enable maximum turnover constraint. Library default False.

max_turnover_pct
string<decimal> | null

Maximum portfolio turnover as a percentage. Library default 100.0.

Pattern: ^-?\d{0,4}(?:\.\d{0,4})?$
require_whole_shares
boolean | null

Enforce whole share constraints for all assets. Library default False.

whole_share_assets
any | null

List of tilt_asset_ids that must be whole shares. Null = all when require_whole_shares is True.

substitution_pairs
any | null

List of lists of tilt_asset_ids that are mutually exclusive substitution pairs.

capital_gains_reductions
any | null

Dict mapping tilt_asset_id to per-asset capital gains reduction amount.

capital_gains_reductions_units

Units for capital_gains_reductions. Library default 'DOLLARS'.

  • DOLLARS - Dollars
  • PERCENT - Percent
Available options:
DOLLARS,
PERCENT
use_cash_benchmark
boolean | null

Include cash as a benchmark component. Library default False.

linear_tcaf
string<decimal> | null

Linear transaction cost fraction. Library default 0.0.

Pattern: ^-?\d{0,4}(?:\.\d{0,6})?$
commission_rate
string<decimal> | null

Commission rate. Library default 0.75.

Pattern: ^-?\d{0,4}(?:\.\d{0,4})?$
broker_spread_bps
string<decimal> | null

Broker spread in basis points. Library default 30.0.

Pattern: ^-?\d{0,6}(?:\.\d{0,4})?$
min_trading_volume_dollars
string<decimal> | null

Minimum trading volume in dollars for market impact calculation. Library default 1,000,000.

Pattern: ^-?\d{0,14}(?:\.\d{0,2})?$